### Hierarchy

- StatePropsOfLayout
- AjvProps
  - MaterialCategorizationStepperLayoutRendererProps

## Index

### Properties

- ajv
- cells
- config
- data
- direction
- enabled
- path
- renderers
- schema
- uischema
- visible

## Properties

### ajv

ajv: Ajv

Inherited from AjvProps.ajv

- Defined in packages/material/src/util/layout.tsx:104

### Optional cells

cells: JsonFormsCellRendererRegistryEntry[]

Inherited from MaterialCategorizationLayoutRendererProps.cells

All available cell renderers.

### Optional config

config: any

Inherited from StatePropsOfDateControl.config

Any configuration options for the element.

### data

data: any

Overrides StatePropsOfRenderer.data

- Defined in packages/material/src/layouts/MaterialCategorizationStepperLayout.tsx:63

### direction

direction: "row" | "column"

Inherited from MaterialCategorizationLayoutRendererProps.direction

Direction for the layout to flow

### enabled

enabled: boolean

Inherited from StatePropsOfDateControl.enabled

Whether the rendered element should be enabled.

### path

path: string

Inherited from StatePropsOfDateControl.path

Instance path the data is written to, in case of a control.

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

Inherited from StatePropsOfDateControl.renderers

All available renderers.

### schema

schema: JsonSchema

Inherited from StatePropsOfDateControl.schema

The JSON schema that describes the data.

### uischema

uischema: UISchemaElement

Inherited from MaterialCategorizationLayoutRendererProps.uischema

The UI schema to be rendered.

### visible

visible: boolean

Inherited from StatePropsOfDateControl.visible

Whether the rendered element should be visible.

Generated using TypeDoc